package de.uni_potsdam.hpi.isg.efes.csg.datafit.values.conclusion;

import de.uni_potsdam.hpi.isg.efes.csg.datafit.values.ValueCharacteristicsInspector.Issue;
import de.uni_potsdam.hpi.isg.efes.csg.mapping.NodeCorrespondence;

public class FewElementsIssue extends Issue {

	private NodeCorrespondence correspondence;
	private int neededValues;

	public FewElementsIssue(NodeCorrespondence correspondence, int neededValues) {
		this.correspondence = correspondence;
		this.neededValues = neededValues;
	}

	public NodeCorrespondence getCorrespondence() {
		return correspondence;
	}

	public int getNeededValues() {
		return neededValues;
	}

	@Override
	public String toString() {
		return "FewElementsIssue [correspondence=" + correspondence + ", neededValues=" + neededValues + "]";
	}
	
	
}
