package de.uni_potsdam.hpi.isg.efes.csg.datafit.values.conclusion;

import de.uni_potsdam.hpi.isg.efes.csg.datafit.values.ValueCharacteristicsInspector.Issue;
import de.uni_potsdam.hpi.isg.efes.csg.mapping.NodeCorrespondence;

public class TooSpecificIssue extends Issue {

	private NodeCorrespondence correspondence;
	private int numValues;
	private int numDistinctValues;

	public TooSpecificIssue(NodeCorrespondence correspondence, int numConvertibleValues,
			int numDistinctConvertibleValues) {
		this.correspondence = correspondence;
		this.numValues = numConvertibleValues;
		this.numDistinctValues = numDistinctConvertibleValues;
	}

	public NodeCorrespondence getCorrespondence() {
		return correspondence;
	}

	public int getNumValues() {
		return numValues;
	}

	public int getNumDistinctValues() {
		return numDistinctValues;
	}

	@Override
	public String toString() {
		return "TooSpecificIssue [correspondence=" + correspondence + ", numValues=" + numValues
				+ ", numDistinctValues=" + numDistinctValues + "]";
	}

}
