package de.uni_potsdam.hpi.isg.efes.pipeline.configuration.model;

import javax.xml.bind.annotation.XmlAttribute;

import de.uni_potsdam.hpi.isg.efes.csg.effort.tasklist.TaskListModel.Submodel;
import de.uni_potsdam.hpi.isg.efes.csg.effort.tasklist.repair.RepairModel;

public class RepairModelConfiguration extends TaskListSubmodelConfiguration {

	private boolean makeConsistencyChecks;

	@XmlAttribute(name = "checkConsistency")
	public boolean isMakeConsistencyChecks() {
		return makeConsistencyChecks;
	}

	public void setMakeConsistencyChecks(boolean makeConsistencyChecks) {
		this.makeConsistencyChecks = makeConsistencyChecks;
	}



	@Override
	public Submodel createSubmodel() {
		RepairModel repairModel = new RepairModel();
		repairModel.setCheckConsistency(this.makeConsistencyChecks);
		return repairModel;
	}

}
