package de.uni_potsdam.hpi.isg.efes.pipeline.configuration.model;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;

import de.uni_potsdam.hpi.isg.efes.csg.datafit.DataFitModel;
import de.uni_potsdam.hpi.isg.efes.csg.datafit.structure.StructureFitInspector;

@XmlRootElement
public class StructureFitModelConfiguration extends DataFitModelConfiguration {

	private boolean useSourceData = true;
	
	@Override
	public DataFitModel createDataFitModel() {
		StructureFitInspector structureFitInspector = new StructureFitInspector();
		structureFitInspector.setUseSourceData(this.useSourceData);
		return structureFitInspector;
	}

	@XmlAttribute(name = "useSourceData")
	public boolean isUseSourceData() {
		return useSourceData;
	}

	public void setUseSourceData(boolean useSourceData) {
		this.useSourceData = useSourceData;
	}

}
