package de.uni_potsdam.hpi.isg.utils.files;

public class ByteEncodingUtil {

	public static void intToBytes(int value, byte[] target) {
		target[0] = (byte) (0xff & (value >> 24));
		target[1] = (byte) (0xff & (value >> 16));
		target[2] = (byte) (0xff & (value >> 8));
		target[3] = (byte) (0xff & (value >> 0));
	}
	
	public static int byteToInt(byte[] source) {
		return (0xff000000 & (source[0]) << 24)
				| (0xff0000 & (source[1] << 16))
				| (0xff00 & (source[2] << 8))
				| (0xff & source[3]);
	}

}
