CREATE TABLE album (
    id INTEGER PRIMARY KEY,
    name VARCHAR(255) NOT NULL,
    barcode CHAR(8) UNIQUE
);

CREATE TABLE track (
    album_id INTEGER,
    position INTEGER,
    name VARCHAR(255) NOT NULL,
    length INTEGER,
    PRIMARY KEY (album_id, position),
    FOREIGN KEY (album_id) REFERENCES album (id)
);
