package de.uni_potsdam.hpi.isg.efes.csg.mapping;

import java.util.Collection;
import java.util.List;
import java.util.Map;

import de.uni_potsdam.hpi.isg.efes.csg.SchemaGraph;
import de.uni_potsdam.hpi.isg.efes.csg.instance.SchemaGraphInstance;
import de.uni_potsdam.hpi.isg.efes.csg.nodes.Node;

public interface NodeMapping {

	Collection<NodeCorrespondence> getCorrespondencesForTargetNode(Node targetNode);

	boolean isBackedByInstance();

	SchemaGraphInstance getSourceInstance();
	
	Map<Node, List<NodeCorrespondence>> getNodeCorrespondences();

	SchemaGraph getSourceSchema();
	
}
