package de.uni_potsdam.hpi.isg.efes.csg.nodes;

public class IdentityNode extends AbstractNode {

	public IdentityNode(String name) {
		super(name);
	}

	@Override
	public ContentType getContentType() {
		return Node.ContentType.IDENTITY;
	}

	@Override
	public Operation getOperationType() {
		return Node.Operation.NONE;
	}
	
	@Override
	public boolean contains(Node node) {
		return equals(node);
	}

	@Override
	public String toString() {
		return "[" + name + "]";
	}
	
}
