package de.uni_potsdam.hpi.isg.utils.files;

import it.unimi.dsi.fastutil.ints.IntArrayList;

import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;


public class PersistenceUtil {

	public static IntArrayList columnBuffer = new IntArrayList(540000);

	public static synchronized int[] loadColumn(File inputFile) throws IOException {
		columnBuffer.clear();
		BufferedInputStream in = new BufferedInputStream(new FileInputStream(inputFile));
		byte[] buffer = new byte[4];
		while (in.read(buffer) == buffer.length) {
			columnBuffer.add(ByteEncodingUtil.byteToInt(buffer));
		}
		in.close();
		int[] column = columnBuffer.toIntArray();
		//System.out.println("Loaded "+column.length+" rows from "+inputFile.getName());
		return column;
	}


}
